/**
* 文件：ConfigFieldQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.config.model;
import java.util.List;

/**
 * <p>Title: 字段配置</p>
 * <p>Description: ConfigFieldQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ConfigFieldQuery extends ConfigFieldEntity{
	private static final long serialVersionUID = 1608874558656L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 关联主表表名 */
	private List<String> tableCodeList;

	/** 字段编码，tableCode下唯一 */
	private List<String> fieldCodeList;

	/** 字段名称 */
	private List<String> fieldNameList;

	/** 数据类型，参数配置-ExtFieldType，默认varchar */
	private List<String> fieldTypeList;

	/** 开始 数据长度，默认50 */
	private Long fieldLenStart;

	/** 结束 数据长度，默认50 */
	private Long fieldLenEnd;

	/** 增加 数据长度，默认50 */
	private Long fieldLenIncrement;

	/** 数据长度，默认50 */
	private List<Long> fieldLenList;

	/** 开始 允许为空，0否，1是，默认1 */
	private Long fieldNullStart;

	/** 结束 允许为空，0否，1是，默认1 */
	private Long fieldNullEnd;

	/** 增加 允许为空，0否，1是，默认1 */
	private Long fieldNullIncrement;

	/** 允许为空，0否，1是，默认1 */
	private List<Long> fieldNullList;

	/** 开始 排序号，默认0 */
	private Long fieldOrderNoStart;

	/** 结束 排序号，默认0 */
	private Long fieldOrderNoEnd;

	/** 增加 排序号，默认0 */
	private Long fieldOrderNoIncrement;

	/** 排序号，默认0 */
	private List<Long> fieldOrderNoList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 是否启用，0否，1是 */
	private Integer enabledStart;

	/** 结束 是否启用，0否，1是 */
	private Integer enabledEnd;

	/** 增加 是否启用，0否，1是 */
	private Integer enabledIncrement;

	/** 是否启用，0否，1是 */
	private List<Integer> enabledList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<ConfigFieldQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<ConfigFieldQuery> andConditionList;


	public ConfigFieldQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 关联主表表名
	 * @return tableCodeList
	 */
	public List<String> getTableCodeList(){
		return this.tableCodeList;
	}

	/**
	 * 设置 关联主表表名
	 * @param tableCodeList
	 */
	public void setTableCodeList(List<String> tableCodeList){
		this.tableCodeList = tableCodeList;
	}

	/**
	 * 获取 字段编码，tableCode下唯一
	 * @return fieldCodeList
	 */
	public List<String> getFieldCodeList(){
		return this.fieldCodeList;
	}

	/**
	 * 设置 字段编码，tableCode下唯一
	 * @param fieldCodeList
	 */
	public void setFieldCodeList(List<String> fieldCodeList){
		this.fieldCodeList = fieldCodeList;
	}

	/**
	 * 获取 字段名称
	 * @return fieldNameList
	 */
	public List<String> getFieldNameList(){
		return this.fieldNameList;
	}

	/**
	 * 设置 字段名称
	 * @param fieldNameList
	 */
	public void setFieldNameList(List<String> fieldNameList){
		this.fieldNameList = fieldNameList;
	}

	/**
	 * 获取 数据类型，参数配置-ExtFieldType，默认varchar
	 * @return fieldTypeList
	 */
	public List<String> getFieldTypeList(){
		return this.fieldTypeList;
	}

	/**
	 * 设置 数据类型，参数配置-ExtFieldType，默认varchar
	 * @param fieldTypeList
	 */
	public void setFieldTypeList(List<String> fieldTypeList){
		this.fieldTypeList = fieldTypeList;
	}

	/**
	 * 获取 开始 数据长度，默认50
	 * @return fieldLenStart
	 */
	public Long getFieldLenStart(){
		return this.fieldLenStart;
	}

	/**
	 * 设置 开始 数据长度，默认50
	 * @param fieldLenStart
	 */
	public void setFieldLenStart(Long fieldLenStart){
		this.fieldLenStart = fieldLenStart;
	}

	/**
	 * 获取 结束 数据长度，默认50
	 * @return fieldLenEnd
	 */
	public Long getFieldLenEnd(){
		return this.fieldLenEnd;
	}

	/**
	 * 设置 结束 数据长度，默认50
	 * @param fieldLenEnd
	 */
	public void setFieldLenEnd(Long fieldLenEnd){
		this.fieldLenEnd = fieldLenEnd;
	}

	/**
	 * 获取 增加 数据长度，默认50
	 * @return fieldLenIncrement
	 */
	public Long getFieldLenIncrement(){
		return this.fieldLenIncrement;
	}

	/**
	 * 设置 增加 数据长度，默认50
	 * @param fieldLenIncrement
	 */
	public void setFieldLenIncrement(Long fieldLenIncrement){
		this.fieldLenIncrement = fieldLenIncrement;
	}

	/**
	 * 获取 数据长度，默认50
	 * @return fieldLenList
	 */
	public List<Long> getFieldLenList(){
		return this.fieldLenList;
	}

	/**
	 * 设置 数据长度，默认50
	 * @param fieldLenList
	 */
	public void setFieldLenList(List<Long> fieldLenList){
		this.fieldLenList = fieldLenList;
	}

	/**
	 * 获取 开始 允许为空，0否，1是，默认1
	 * @return fieldNullStart
	 */
	public Long getFieldNullStart(){
		return this.fieldNullStart;
	}

	/**
	 * 设置 开始 允许为空，0否，1是，默认1
	 * @param fieldNullStart
	 */
	public void setFieldNullStart(Long fieldNullStart){
		this.fieldNullStart = fieldNullStart;
	}

	/**
	 * 获取 结束 允许为空，0否，1是，默认1
	 * @return fieldNullEnd
	 */
	public Long getFieldNullEnd(){
		return this.fieldNullEnd;
	}

	/**
	 * 设置 结束 允许为空，0否，1是，默认1
	 * @param fieldNullEnd
	 */
	public void setFieldNullEnd(Long fieldNullEnd){
		this.fieldNullEnd = fieldNullEnd;
	}

	/**
	 * 获取 增加 允许为空，0否，1是，默认1
	 * @return fieldNullIncrement
	 */
	public Long getFieldNullIncrement(){
		return this.fieldNullIncrement;
	}

	/**
	 * 设置 增加 允许为空，0否，1是，默认1
	 * @param fieldNullIncrement
	 */
	public void setFieldNullIncrement(Long fieldNullIncrement){
		this.fieldNullIncrement = fieldNullIncrement;
	}

	/**
	 * 获取 允许为空，0否，1是，默认1
	 * @return fieldNullList
	 */
	public List<Long> getFieldNullList(){
		return this.fieldNullList;
	}

	/**
	 * 设置 允许为空，0否，1是，默认1
	 * @param fieldNullList
	 */
	public void setFieldNullList(List<Long> fieldNullList){
		this.fieldNullList = fieldNullList;
	}

	/**
	 * 获取 开始 排序号，默认0
	 * @return fieldOrderNoStart
	 */
	public Long getFieldOrderNoStart(){
		return this.fieldOrderNoStart;
	}

	/**
	 * 设置 开始 排序号，默认0
	 * @param fieldOrderNoStart
	 */
	public void setFieldOrderNoStart(Long fieldOrderNoStart){
		this.fieldOrderNoStart = fieldOrderNoStart;
	}

	/**
	 * 获取 结束 排序号，默认0
	 * @return fieldOrderNoEnd
	 */
	public Long getFieldOrderNoEnd(){
		return this.fieldOrderNoEnd;
	}

	/**
	 * 设置 结束 排序号，默认0
	 * @param fieldOrderNoEnd
	 */
	public void setFieldOrderNoEnd(Long fieldOrderNoEnd){
		this.fieldOrderNoEnd = fieldOrderNoEnd;
	}

	/**
	 * 获取 增加 排序号，默认0
	 * @return fieldOrderNoIncrement
	 */
	public Long getFieldOrderNoIncrement(){
		return this.fieldOrderNoIncrement;
	}

	/**
	 * 设置 增加 排序号，默认0
	 * @param fieldOrderNoIncrement
	 */
	public void setFieldOrderNoIncrement(Long fieldOrderNoIncrement){
		this.fieldOrderNoIncrement = fieldOrderNoIncrement;
	}

	/**
	 * 获取 排序号，默认0
	 * @return fieldOrderNoList
	 */
	public List<Long> getFieldOrderNoList(){
		return this.fieldOrderNoList;
	}

	/**
	 * 设置 排序号，默认0
	 * @param fieldOrderNoList
	 */
	public void setFieldOrderNoList(List<Long> fieldOrderNoList){
		this.fieldOrderNoList = fieldOrderNoList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 是否启用，0否，1是
	 * @return enabledStart
	 */
	public Integer getEnabledStart(){
		return this.enabledStart;
	}

	/**
	 * 设置 开始 是否启用，0否，1是
	 * @param enabledStart
	 */
	public void setEnabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
	}

	/**
	 * 获取 结束 是否启用，0否，1是
	 * @return enabledEnd
	 */
	public Integer getEnabledEnd(){
		return this.enabledEnd;
	}

	/**
	 * 设置 结束 是否启用，0否，1是
	 * @param enabledEnd
	 */
	public void setEnabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
	}

	/**
	 * 获取 增加 是否启用，0否，1是
	 * @return enabledIncrement
	 */
	public Integer getEnabledIncrement(){
		return this.enabledIncrement;
	}

	/**
	 * 设置 增加 是否启用，0否，1是
	 * @param enabledIncrement
	 */
	public void setEnabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
	}

	/**
	 * 获取 是否启用，0否，1是
	 * @return enabledList
	 */
	public List<Integer> getEnabledList(){
		return this.enabledList;
	}

	/**
	 * 设置 是否启用，0否，1是
	 * @param enabledList
	 */
	public void setEnabledList(List<Integer> enabledList){
		this.enabledList = enabledList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<ConfigFieldQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<ConfigFieldQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<ConfigFieldQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<ConfigFieldQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}